util.settings

## Class ProgramPanelSettings

- java.lang.Object
- - util.settings.ProgramPanelSettings

-     public class ProgramPanelSettings
      extends java.lang.Object

  A class that contains setting values for the program panel.
  Since:
    2.2.2
  Author:
    René Mach

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SHOW_CHANNEL_LOGO_NEVER` Channel logo is never shown for any program panels
    `static int` | `SHOW_CHANNEL_LOGO_PLUGINS_CONTROL` Channel logo is shown for program panels a plugin has set
    `static int` | `SHOW_PICTURES_EVER` Always show the pictures
    `static int` | `SHOW_PICTURES_FOR_DURATION` Show the pictures for programs with selected duration
    `static int` | `SHOW_PICTURES_FOR_PLUGINS` Show the pictures for selected plugins
    `static int` | `SHOW_PICTURES_IN_TIME_RANGE` Show the pictures in time range
    `static int` | `SHOW_PICTURES_NEVER` Show the pictures never
    `static int` | `X_AXIS` Orientation Progressbar in X_AXIS
    `static int` | `Y_AXIS` Orientation Progressbar in Y_AXIS

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgramPanelSettings(int type, int timeRangeStart, int timeRangeEnd, boolean showOnlyDateAndTitle, boolean showDescription, int duration)` Creates an instance of this class.
    `ProgramPanelSettings(int type, int timeRangeStart, int timeRangeEnd, boolean showOnlyDateAndTitle, boolean showDescription, int duration, boolean ignoreProgramImportance)` Creates an instance of this class.
    `ProgramPanelSettings(int type, int timeRangeStart, int timeRangeEnd, boolean showOnlyDateAndTitle, boolean showDescription, int duration, int axis)` Creates an instance of this class.
    `ProgramPanelSettings(int type, int timeRangeStart, int timeRangeEnd, boolean showOnlyDateAndTitle, boolean showDescription, int duration, java.lang.String[] pluginIds)` Creates an instance of this class.
    `ProgramPanelSettings(int type, int timeRangeStart, int timeRangeEnd, boolean showOnlyDateAndTitle, boolean showDescription, int duration, java.lang.String[] pluginIds, boolean ignoreProgramImportance)` Creates an instance of this class.
    `ProgramPanelSettings(int type, int timeRangeStart, int timeRangeEnd, boolean showOnlyDateAndTitle, boolean showDescription, int duration, java.lang.String[] pluginIds, boolean ignoreProgramImportance, boolean showPictureBorder)` Creates an instance of this class.
    `ProgramPanelSettings(int type, int timeRangeStart, int timeRangeEnd, boolean showOnlyDateAndTitle, boolean showDescription, int duration, java.lang.String[] pluginIds, int axis)` Creates an instance of this class.
    `ProgramPanelSettings(int type, int timeRangeStart, int timeRangeEnd, boolean showOnlyDateAndTitle, boolean showDescription, int duration, java.lang.String[] pluginIds, int axis, boolean ignoreProgramImportance)` Creates an instance of this class.
    `ProgramPanelSettings(int type, int timeRangeStart, int timeRangeEnd, boolean showOnlyDateAndTitle, boolean showDescription, int duration, java.lang.String[] pluginIds, int axis, boolean ignoreProgramImportance, boolean showPictureBorder)` Creates an instance of this class.
    `ProgramPanelSettings(int type, int timeRangeStart, int timeRangeEnd, boolean showOnlyDateAndTitle, boolean showDescription, int duration, java.lang.String[] pluginIds, int axis, boolean ignoreProgramImportance, boolean showPictureBorder, boolean showChannelLogo)` Creates an instance of this class.
    `ProgramPanelSettings(PluginPictureSettings settings, boolean showOnlyDateAndTitle)` Creates an instance of this class with the given values.
    `ProgramPanelSettings(PluginPictureSettings settings, boolean showOnlyDateAndTitle, boolean ignoreProgramImportance)` Creates an instance of this class with the given values.
    `ProgramPanelSettings(PluginPictureSettings settings, boolean showOnlyDateAndTitle, boolean ignoreProgramImportance, boolean showPictureBorder)` Creates an instance of this class with the given values.
    `ProgramPanelSettings(PluginPictureSettings settings, boolean showOnlyDateAndTitle, int axis)` Creates an instance of this class with the given values.
    `ProgramPanelSettings(PluginPictureSettings settings, boolean showOnlyDateAndTitle, int axis, boolean ignoreProgramImportance)` Creates an instance of this class with the given values.
    `ProgramPanelSettings(PluginPictureSettings settings, boolean showOnlyDateAndTitle, int axis, boolean ignoreProgramImportance, boolean showPictureBorder)` Creates an instance of this class with the given values.
    `ProgramPanelSettings(PluginPictureSettings settings, boolean showOnlyDateAndTitle, int axis, boolean ignoreProgramImportance, boolean showPictureBorder, boolean showChannelLogo)` Creates an instance of this class with the given values.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAxis()` Gets the axis for the ProgramPanel.
    `int` | `getDuration()`
    `int` | `getPictureShowingType()`
    `int` | `getPictureTimeRangeEnd()`
    `int` | `getPictureTimeRangeStart()`
    `java.lang.String[]` | `getPluginIds()`
    `static ProgramPanelSettings` | `getShowOnlyDateAndTitleSettings()` Get ProgramPanelSettings that will only allow showing of date and title.
    `boolean` | `isIgnoringProgramImportance()` Gets if the program importance should be ignored.
    `boolean` | `isShowingChannelLogo()` Gets if the channel logog should be shown in front of the time.
    `boolean` | `isShowingOnlyDateAndTitle()`
    `boolean` | `isShowingPictureBorder()` Gets if the picture border should be painted.
    `boolean` | `isShowingPictureDescription()`
    `boolean` | `isShowingPictureEver()`
    `boolean` | `isShowingPictureForDuration()`
    `boolean` | `isShowingPictureForPlugins()`
    `boolean` | `isShowingPictureInTimeRange()`
    `boolean` | `isShowingPictureNever()`
    `void` | `setShowOnlyDateAndTitle(boolean value)` Sets the value for the only date and title flag.
    `static boolean` | `typeContainsType(int typeToCheck, int containingType)` Checks if a given type to check contains a type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SHOW_PICTURES_NEVER

          public static final int SHOW_PICTURES_NEVER

      Show the pictures never
      See Also:
        Constant Field Values

    - #### SHOW_PICTURES_EVER

          public static final int SHOW_PICTURES_EVER

      Always show the pictures
      See Also:
        Constant Field Values

    - #### SHOW_PICTURES_IN_TIME_RANGE

          public static final int SHOW_PICTURES_IN_TIME_RANGE

      Show the pictures in time range
      See Also:
        Constant Field Values

    - #### SHOW_PICTURES_FOR_PLUGINS

          public static final int SHOW_PICTURES_FOR_PLUGINS

      Show the pictures for selected plugins
      See Also:
        Constant Field Values

    - #### SHOW_PICTURES_FOR_DURATION

          public static final int SHOW_PICTURES_FOR_DURATION

      Show the pictures for programs with selected duration
      See Also:
        Constant Field Values

    - #### SHOW_CHANNEL_LOGO_PLUGINS_CONTROL

          public static final int SHOW_CHANNEL_LOGO_PLUGINS_CONTROL

      Channel logo is shown for program panels a plugin has set
      See Also:
        Constant Field Values

    - #### SHOW_CHANNEL_LOGO_NEVER

          public static final int SHOW_CHANNEL_LOGO_NEVER

      Channel logo is never shown for any program panels
      See Also:
        Constant Field Values

    - #### X_AXIS

          public static final int X_AXIS

      Orientation Progressbar in X_AXIS
      See Also:
        Constant Field Values

    - #### Y_AXIS

          public static final int Y_AXIS

      Orientation Progressbar in Y_AXIS
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProgramPanelSettings

          public ProgramPanelSettings(PluginPictureSettings settings,
                              boolean showOnlyDateAndTitle,
                              int axis)

      Creates an instance of this class with the given values.
      Parameters:
        `settings` - The PluginPictureSettings to be used.
        `showOnlyDateAndTitle` - If the program panel should only contain date and title.
        `axis` - The axis for the ProgramPanel.
      Since:
        2.7

    - #### ProgramPanelSettings

          public ProgramPanelSettings(PluginPictureSettings settings,
                              boolean showOnlyDateAndTitle,
                              int axis,
                              boolean ignoreProgramImportance,
                              boolean showPictureBorder)

      Creates an instance of this class with the given values.
      Parameters:
        `settings` - The PluginPictureSettings to be used.
        `showOnlyDateAndTitle` - If the program panel should only contain date and title.
        `axis` - The axis for the ProgramPanel.
        `ignoreProgramImportance` - If the program importance should be ignored.
        `showPictureBorder` - If the picture border should be shown.
      Since:
        3.1

    - #### ProgramPanelSettings

          public ProgramPanelSettings(PluginPictureSettings settings,
                              boolean showOnlyDateAndTitle,
                              int axis,
                              boolean ignoreProgramImportance,
                              boolean showPictureBorder,
                              boolean showChannelLogo)

      Creates an instance of this class with the given values.
      Parameters:
        `settings` - The PluginPictureSettings to be used.
        `showOnlyDateAndTitle` - If the program panel should only contain date and title.
        `axis` - The axis for the ProgramPanel.
        `ignoreProgramImportance` - If the program importance should be ignored.
        `showPictureBorder` - If the picture border should be shown.
        `showChannelLogo` - If the channel logo should be shown.
      Since:
        3.4.1

    - #### ProgramPanelSettings

          public ProgramPanelSettings(PluginPictureSettings settings,
                              boolean showOnlyDateAndTitle,
                              int axis,
                              boolean ignoreProgramImportance)

      Creates an instance of this class with the given values.
      Parameters:
        `settings` - The PluginPictureSettings to be used.
        `showOnlyDateAndTitle` - If the program panel should only contain date and title.
        `axis` - The axis for the ProgramPanel.
        `ignoreProgramImportance` - If the program importance should be ignored.
        `showPictureBorder` - If the picture border should be shown.
      Since:
        3.0

    - #### ProgramPanelSettings

          public ProgramPanelSettings(PluginPictureSettings settings,
                              boolean showOnlyDateAndTitle)

      Creates an instance of this class with the given values.
      Parameters:
        `settings` - The PluginPictureSettings to be used.
        `showOnlyDateAndTitle` - If the program panel should only contain date and title.

    - #### ProgramPanelSettings

          public ProgramPanelSettings(PluginPictureSettings settings,
                              boolean showOnlyDateAndTitle,
                              boolean ignoreProgramImportance,
                              boolean showPictureBorder)

      Creates an instance of this class with the given values.
      Parameters:
        `settings` - The PluginPictureSettings to be used.
        `showOnlyDateAndTitle` - If the program panel should only contain date and title.
        `ignoreProgramImportance` - If the program importance should be ignored.
        `showPictureBorder` - If the picture border should be shown.
      Since:
        3.1

    - #### ProgramPanelSettings

          public ProgramPanelSettings(PluginPictureSettings settings,
                              boolean showOnlyDateAndTitle,
                              boolean ignoreProgramImportance)

      Creates an instance of this class with the given values.
      Parameters:
        `settings` - The PluginPictureSettings to be used.
        `showOnlyDateAndTitle` - If the program panel should only contain date and title.
        `ignoreProgramImportance` - If the program importance should be ignored.
      Since:
        3.0

    - #### ProgramPanelSettings

          public ProgramPanelSettings(int type,
                              int timeRangeStart,
                              int timeRangeEnd,
                              boolean showOnlyDateAndTitle,
                              boolean showDescription,
                              int duration)

      Creates an instance of this class.
      Parameters:
        `type` - The picture showing type.
        `timeRangeStart` - The time range start time.
        `timeRangeEnd` - The time range end time.
        `showOnlyDateAndTitle` - If the program panel should only contain date and title.
        `showDescription` - If the picture description should be shown.
        `duration` - The minimum duration of the programs the pictures should be shown for.

    - #### ProgramPanelSettings

          public ProgramPanelSettings(int type,
                              int timeRangeStart,
                              int timeRangeEnd,
                              boolean showOnlyDateAndTitle,
                              boolean showDescription,
                              int duration,
                              boolean ignoreProgramImportance)

      Creates an instance of this class.
      Parameters:
        `type` - The picture showing type.
        `timeRangeStart` - The time range start time.
        `timeRangeEnd` - The time range end time.
        `showOnlyDateAndTitle` - If the program panel should only contain date and title.
        `showDescription` - If the picture description should be shown.
        `duration` - The minimum duration of the programs the pictures should be shown for.
        `ignoreProgramImportance` - If the program importance should be ignored.
      Since:
        3.0

    - #### ProgramPanelSettings

          public ProgramPanelSettings(int type,
                              int timeRangeStart,
                              int timeRangeEnd,
                              boolean showOnlyDateAndTitle,
                              boolean showDescription,
                              int duration,
                              int axis)

      Creates an instance of this class.
      Parameters:
        `type` - The picture showing type.
        `timeRangeStart` - The time range start time.
        `timeRangeEnd` - The time range end time.
        `showOnlyDateAndTitle` - If the program panel should only contain date and title.
        `showDescription` - If the picture description should be shown.
        `duration` - The minimum duration of the programs the pictures should be shown for.
        `axis` - The axis for the progress bar of the program panel.
      Since:
        2.7

    - #### ProgramPanelSettings

          public ProgramPanelSettings(int type,
                              int timeRangeStart,
                              int timeRangeEnd,
                              boolean showOnlyDateAndTitle,
                              boolean showDescription,
                              int duration,
                              java.lang.String[] pluginIds)

      Creates an instance of this class.
      Parameters:
        `type` - The picture showing type.
        `timeRangeStart` - The time range start time.
        `timeRangeEnd` - The time range end time.
        `showOnlyDateAndTitle` - If the program panel should only contain date and title.
        `showDescription` - If the picture description should be shown.
        `pluginIds` - The ids of the plugins to show the pictures for.
        `duration` - The minimum duration of the programs the pictures should be shown for.

    - #### ProgramPanelSettings

          public ProgramPanelSettings(int type,
                              int timeRangeStart,
                              int timeRangeEnd,
                              boolean showOnlyDateAndTitle,
                              boolean showDescription,
                              int duration,
                              java.lang.String[] pluginIds,
                              boolean ignoreProgramImportance,
                              boolean showPictureBorder)

      Creates an instance of this class.
      Parameters:
        `type` - The picture showing type.
        `timeRangeStart` - The time range start time.
        `timeRangeEnd` - The time range end time.
        `showOnlyDateAndTitle` - If the program panel should only contain date and title.
        `showDescription` - If the picture description should be shown.
        `pluginIds` - The ids of the plugins to show the pictures for.
        `duration` - The minimum duration of the programs the pictures should be shown for.
        `ignoreProgramImportance` - If the program importance should be ignored.
        `showPictureBorder` - If the picture border should be shown.
      Since:
        3.1

    - #### ProgramPanelSettings

          public ProgramPanelSettings(int type,
                              int timeRangeStart,
                              int timeRangeEnd,
                              boolean showOnlyDateAndTitle,
                              boolean showDescription,
                              int duration,
                              java.lang.String[] pluginIds,
                              boolean ignoreProgramImportance)

      Creates an instance of this class.
      Parameters:
        `type` - The picture showing type.
        `timeRangeStart` - The time range start time.
        `timeRangeEnd` - The time range end time.
        `showOnlyDateAndTitle` - If the program panel should only contain date and title.
        `showDescription` - If the picture description should be shown.
        `pluginIds` - The ids of the plugins to show the pictures for.
        `duration` - The minimum duration of the programs the pictures should be shown for.
        `ignoreProgramImportance` - If the program importance should be ignored.
      Since:
        3.0

    - #### ProgramPanelSettings

          public ProgramPanelSettings(int type,
                              int timeRangeStart,
                              int timeRangeEnd,
                              boolean showOnlyDateAndTitle,
                              boolean showDescription,
                              int duration,
                              java.lang.String[] pluginIds,
                              int axis)

      Creates an instance of this class.
      Parameters:
        `type` - The picture showing type.
        `timeRangeStart` - The time range start time.
        `timeRangeEnd` - The time range end time.
        `showOnlyDateAndTitle` - If the program panel should only contain date and title.
        `showDescription` - If the picture description should be shown.
        `pluginIds` - The ids of the plugins to show the pictures for.
        `duration` - The minimum duration of the programs the pictures should be shown for.
        `axis` - The axis for the progress bar of the program panel.
      Since:
        2.7

    - #### ProgramPanelSettings

          public ProgramPanelSettings(int type,
                              int timeRangeStart,
                              int timeRangeEnd,
                              boolean showOnlyDateAndTitle,
                              boolean showDescription,
                              int duration,
                              java.lang.String[] pluginIds,
                              int axis,
                              boolean ignoreProgramImportance)

      Creates an instance of this class.
      Parameters:
        `type` - The picture showing type.
        `timeRangeStart` - The time range start time.
        `timeRangeEnd` - The time range end time.
        `showOnlyDateAndTitle` - If the program panel should only contain date and title.
        `showDescription` - If the picture description should be shown.
        `pluginIds` - The ids of the plugins to show the pictures for.
        `duration` - The minimum duration of the programs the pictures should be shown for.
        `axis` - The axis for the progress bar of the program panel.
        `ignoreProgramImportance` - If the program importance should be ignored.
      Since:
        3.0

    - #### ProgramPanelSettings

          public ProgramPanelSettings(int type,
                              int timeRangeStart,
                              int timeRangeEnd,
                              boolean showOnlyDateAndTitle,
                              boolean showDescription,
                              int duration,
                              java.lang.String[] pluginIds,
                              int axis,
                              boolean ignoreProgramImportance,
                              boolean showPictureBorder)

      Creates an instance of this class.
      Parameters:
        `type` - The picture showing type.
        `timeRangeStart` - The time range start time.
        `timeRangeEnd` - The time range end time.
        `showOnlyDateAndTitle` - If the program panel should only contain date and title.
        `showDescription` - If the picture description should be shown.
        `pluginIds` - The ids of the plugins to show the pictures for.
        `duration` - The minimum duration of the programs the pictures should be shown for.
        `axis` - The axis for the progress bar of the program panel.
        `ignoreProgramImportance` - If the program importance should be ignored.
        `showPictureBorder` - If the border around the pictures should be painted.
      Since:
        3.1

    - #### ProgramPanelSettings

          public ProgramPanelSettings(int type,
                              int timeRangeStart,
                              int timeRangeEnd,
                              boolean showOnlyDateAndTitle,
                              boolean showDescription,
                              int duration,
                              java.lang.String[] pluginIds,
                              int axis,
                              boolean ignoreProgramImportance,
                              boolean showPictureBorder,
                              boolean showChannelLogo)

      Creates an instance of this class.
      Parameters:
        `type` - The picture showing type.
        `timeRangeStart` - The time range start time.
        `timeRangeEnd` - The time range end time.
        `showOnlyDateAndTitle` - If the program panel should only contain date and title.
        `showDescription` - If the picture description should be shown.
        `pluginIds` - The ids of the plugins to show the pictures for.
        `duration` - The minimum duration of the programs the pictures should be shown for.
        `axis` - The axis for the progress bar of the program panel.
        `ignoreProgramImportance` - If the program importance should be ignored.
        `showPictureBorder` - If the border around the pictures should be painted.
        `showChannelLogo` - If the channel logo should be shown.
      Since:
        3.4.1

  - ### Method Detail

    - #### getShowOnlyDateAndTitleSettings

          public static ProgramPanelSettings getShowOnlyDateAndTitleSettings()

      Get ProgramPanelSettings that will only allow showing of date and title.

      Returns:
        ProgramPanelSettings that will only allow showing of date and title.
      Since:
        3.4.1

    - #### isShowingPictureInTimeRange

          public boolean isShowingPictureInTimeRange()

      Returns:
        If the type of the picture showing is set to show pictures in time range.

    - #### isShowingPictureEver

          public boolean isShowingPictureEver()

      Returns:
        If the type of the picture showing is set to show picture always.

    - #### isShowingPictureNever

          public boolean isShowingPictureNever()

      Returns:
        If the type of the picture showing is set to show picture never.

    - #### isShowingPictureForPlugins

          public boolean isShowingPictureForPlugins()

      Returns:
        If the type of the picture showing is set to show picture for plugins.

    - #### isShowingPictureForDuration

          public boolean isShowingPictureForDuration()

      Returns:
        True if the type of the picture showing is set to show picture for duration.

    - #### isShowingOnlyDateAndTitle

          public boolean isShowingOnlyDateAndTitle()

      Returns:
        If the program panel should only contain date and title.

    - #### isShowingPictureDescription

          public boolean isShowingPictureDescription()

      Returns:
        If the picture description should be shown.

    - #### getPictureShowingType

          public int getPictureShowingType()

      Returns:
        The type of the picture showing.

    - #### getPictureTimeRangeStart

          public int getPictureTimeRangeStart()

      Returns:
        The time range start time.

    - #### getPictureTimeRangeEnd

          public int getPictureTimeRangeEnd()

      Returns:
        The time range end time.

    - #### getDuration

          public int getDuration()

      Returns:
        The duration value

    - #### getPluginIds

          public java.lang.String[] getPluginIds()

      Returns:
        The plugin ids to show the pictures for.

    - #### typeContainsType

          public static boolean typeContainsType(int typeToCheck,
                                 int containingType)

      Checks if a given type to check contains a type.
      Parameters:
        `typeToCheck` - The type to check.
        `containingType` - The type to which should the typeToCheck is to check for.
      Returns:
        True if the typeToCheck contains the containingType

    - #### getAxis

          public int getAxis()

      Gets the axis for the ProgramPanel.
      Returns:
        The axis for the ProgramPanel.

    - #### setShowOnlyDateAndTitle

          public void setShowOnlyDateAndTitle(boolean value)

      Sets the value for the only date and title flag.

      Parameters:
        `value` - The new value for the only date and tilte flag.
      Since:
        2.7

    - #### isIgnoringProgramImportance

          public boolean isIgnoringProgramImportance()

      Gets if the program importance should be ignored.

      Returns:
        If the program importance should be ignored.

    - #### isShowingPictureBorder

          public boolean isShowingPictureBorder()

      Gets if the picture border should be painted.

      Returns:
        If the picture border should be painted.

    - #### isShowingChannelLogo

          public boolean isShowingChannelLogo()

      Gets if the channel logog should be shown in front of the time.

      Returns:
        If the channel logo should be shown in front of the time.
      Since:
        3.4.1

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)